#!/bin/sh

_FUNCTIONS=/etc/rc.d/functions
[ -f ${_FUNCTIONS} ] && . ${_FUNCTIONS}

. /etc/sysconfig/mntus

_EIPUTS=/usr/sbin/eiputs
[ -f ${_EIPUTS} ] && . ${_EIPUTS}

EIPS_SPACES="                                           "
EIPS_BASE_X=4
EIPS_BASE_Y=32

MD5LIST="/var/tmp/rootfs_md5_list"

eips $EIPS_BASE_X $EIPS_BASE_Y "${EIPS_SPACES}"
eips $EIPS_BASE_X $EIPS_BASE_Y "uninstall UFHi start"
echo "uninstall UFHi start" > /mnt/us/UFHi_uninstall.log

update_progressbar 2

update_progressbar 40

eips $EIPS_BASE_X $((EIPS_BASE_Y + 1)) "${EIPS_SPACES}"
eips $EIPS_BASE_X $((EIPS_BASE_Y + 1)) "restore font settings:"

#t@C߂ font.properties
sed -i -e "s/Serif_Regular\.ttf/Caecilia_LT_65_Medium\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Serif_Bold\.ttf/Caecilia_LT_75_Bold\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Serif_Italic\.ttf/Caecilia_LT_66_Medium_Italic\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Serif_BoldItalic\.ttf/Caecilia_LT_76_Bold_Italic\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Sans_Regular\.ttf/Helvetica_LT_65_Medium\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Sans_Bold\.ttf/Helvetica_LT_75_Bold\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Sans_Italic\.ttf/Helvetica_LT_66_Medium_Italic\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Sans_BoldItalic\.ttf/Helvetica_LT_76_Bold_Italic\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Mono_Regular\.ttf/KindleBlackboxRegular\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Mono_Bold\.ttf/KindleBlackboxBold\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Mono_Italic\.ttf/KindleBlackboxItalic\.ttf/" /usr/java/lib/font.properties
sed -i -e "s/Mono_BoldItalic\.ttf/KindleBlackboxBoldItalic\.ttf/" /usr/java/lib/font.properties

#uEUpݒt@C`FbNT
echo "restored file   `md5sum /usr/java/lib/font.properties`" >> /mnt/us/system/fonts/original/font.properties_md5sum
echo "system original `grep font.properties $MD5LIST`" >> /mnt/us/system/fonts/original/font.properties_md5sum

#if [[ $RESTORE != $ORIGINAL ]];then
#  echo "font.properties checksum unmatch!" >> HFUi_uninstall.log
#fi

#t@C߂ netfront.ini
sed -i -e "s/Serif_Regular\.ttf/Caecilia_LT_65_Medium\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Serif_Bold\.ttf/Caecilia_LT_75_Bold\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Serif_Italic\.ttf/Caecilia_LT_66_Medium_Italic\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Serif_BoldItalic\.ttf/Caecilia_LT_76_Bold_Italic\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Sans_Regular\.ttf/Helvetica_LT_65_Medium\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Sans_Bold\.ttf/Helvetica_LT_75_Bold\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Sans_Italic\.ttf/Helvetica_LT_66_Medium_Italic\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Sans_BoldItalic\.ttf/Helvetica_LT_76_Bold_Italic\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Mono_Regular\.ttf/KindleBlackboxRegular\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Mono_Bold\.ttf/KindleBlackboxBold\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Mono_Italic\.ttf/KindleBlackboxItalic\.ttf/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/Mono_BoldItalic\.ttf/KindleBlackboxBoldItalic\.ttf/" /opt/amazon/ebook/config/netfront.ini
#pdfΉ폜
sed -i -e "s/dlexts=prc mobi txt azw azw1 pdf zip/dlexts=prc mobi txt azw azw1/" /opt/amazon/ebook/config/netfront.ini
sed -i -e "s/dlmimes=application\/x-mobipocket-ebook text\/x-prc application\/octet-stream text\/plain application\/pdf/dlmimes=application\/x-mobipocket-ebook text\/x-prc application\/octet-stream text\/plain/" /opt/amazon/ebook/config/netfront.ini

#uEUpݒt@C`FbNT
echo "restored file   `md5sum /opt/amazon/ebook/config/netfront.ini`" >> /mnt/us/system/fonts/original/netfront.ini_md5sum
echo "system original `grep netfront.ini $MD5LIST`" >> /mnt/us/system/fonts/original/netfront.ini_md5sum

#if [[ $RESTORE_NET != $ORIGINAL_NET ]];then
#  echo "netfront.ini checksum unmatch!" >> /mnt/us/HFUi_uninstall.log
#fi

eips $EIPS_BASE_X $((EIPS_BASE_Y + 1)) "restore font settings: done"
echo "remove font_check script: done" >> /mnt/us/UFHi_uninstall.log

update_progressbar 70

rm /usr/java/lib/fonts/Serif*.ttf
rm /usr/java/lib/fonts/Sans*.ttf
rm /usr/java/lib/fonts/Mono*.ttf

eips $EIPS_BASE_X $((EIPS_BASE_Y + 2)) "${EIPS_SPACES}"
eips $EIPS_BASE_X $((EIPS_BASE_Y + 2)) "remove font_check script:"
rm /etc/rc5.d/S90font_check
rm /etc/init.d/font_check
eips $EIPS_BASE_X $((EIPS_BASE_Y + 2)) "remove font_check script: done"
echo "remove font_check script: done" >> /mnt/us/UFHi_uninstall.log

#΍폜
if [ -e /mnt/us/PLEASE_UNINSTALL_UFHi ];then
  rm /mnt/us/PLEASE_UNINSTALL_UFHi
fi

#screen_saverΉĂΌɖ߂
if [ -d "/opt/amazon/screen_saver_orig" ];then
  eips $EIPS_BASE_X $((EIPS_BASE_Y + 3)) "${EIPS_SPACES}"
  rm /opt/amazon/screen_saver
  mv /opt/amazon/screen_saver_orig /opt/amazon/screen_saver
  eips $EIPS_BASE_X $((EIPS_BASE_Y + 3)) "remove screen_saver hack: done"
fi

#o[Wԍ
echo "uninstall : `date`" > /mnt/us/system/UFHi_uninstall.log
echo "uninstall : `date`" >> /mnt/us/UFHi_uninstall.log


update_progressbar 80

#sed -i -e "s/) + UFH\(ack\)\? [0-9]\.[0-9]i/)/" /etc/prettyversion.txt
sed -i -e "s/).*/)/" /etc/prettyversion.txt

update_progressbar 90

#################################################
## Remove all bundle files from the userstore
#################################################

eips $EIPS_BASE_X $((EIPS_BASE_Y + 4)) "${EIPS_SPACES}"
eips $EIPS_BASE_X $((EIPS_BASE_Y + 4)) "UFHi uninstall SUCCESS"

update_progressbar 100

sleep 3

return 0

